#ifndef CHISQUARE_INCLUDED
#define CHISQUARE_INCLUDED
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Math Computations for glsd.
 */

/* driver for critical values of the X distribution */
void chisquarecv_init(GLSDVARS_S **glsdv);
void chisquarecv_print(void *result);
void *critical_chisquare(GLSDVARS_S *stdv, int precision);
void chisquarecv_free(void **result);
GLSDMETHOD_S *chisquarecv_pick(char *argv);

/* driver for values of the X distribution */
void chisquare_init(GLSDVARS_S **glsdv);
void chisquare_print(void *result);
void *compute_chisquare(GLSDVARS_S *stdv, int precision);
void chisquare_free(void **result);
GLSDMETHOD_S *chisquare_pick(char *argv);

#endif /* CHISQUARE_INCLUDED */
