/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * 
 */
#include <stdio.h>
#include "glsd.h"
#include "condition.h"

double top, bot, step;

int
null_condition(GLSDV_S nl)
{
return 0;
}

int
bot_condition(GLSDV_S p)
{
    bot = *(double *)((RESULT_S *)p.result)->result;
    return(bot < 0.0 || bot > 3.00);
}

int
top_condition(GLSDV_S p)
{
    top = *(double *)((RESULT_S *)p.result)->result;
    return(top < 0.1 || top > 4.00 || top <= bot);
}

int
step_condition(GLSDV_S p)
{
    step = *(double *)((RESULT_S *)p.result)->result;
    return(step <= 0.0 || step > 0.1) && (step < top - bot);
}

int
toptv_condition(GLSDV_S p)
{
    top = *(double *)((RESULT_S *)p.result)->result;
    return(top < 0.1 || top <= bot);
}

int
bottv_condition(GLSDV_S p)
{
    bot = *(double *)((RESULT_S *)p.result)->result;
    return(bot < 0.0);
}

int
mse_condition(GLSDV_S mse)
{
    double d = *(double *)((RESULT_S *)mse.result)->result;
    return(d < 0);
}

int 
npg_condition(GLSDV_S npg)
{
    int i = *(int *)((RESULT_S *)npg.result)->result;
    return (i <= 0);
}

int   
read_method_condition(GLSDV_S df)
{
    char *argv = (char *)(df.result);
    return (determine_method(argv) == NULL) ? 1 : 0;
}


int   
read_answer_condition(GLSDV_S df)
{
    char *argv = (char *)(df.result);
    return (argv && *argv && argv[1] == '\0' && 
	(*argv == 'y' || *argv == 'Y' || *argv == 'n' || *argv == 'N')) ? 0 : 1;
}

int
tail_condition(GLSDV_S tt)
{
    int i = *(int *)((RESULT_S *)tt.result)->result;
    return(i != 1 && i != 2);
}

int
df_condition(GLSDV_S df)
{
    int i = *(int *)((RESULT_S *)df.result)->result;
    return(i < 1);
}

int
p_condition(GLSDV_S p)
{
    double d = *(double *)((RESULT_S *)p.result)->result;
    return(d <= 0.0 || d >= 1.00);
}

int
tailt_condition(GLSDV_S tt)
{
    int i = *(int *)((RESULT_S *)tt.result)->result;
    return(i != 1 && i != 2 && i != 3);
}

int
dft_condition(GLSDV_S df)
{
  int i, err;
  int *list = (int *) ((RESULT_S *)df.result)->result;
  int total = ((RESULT_S *)df.result)->total;

  err = 0;
  for(i = 0; i < total; i++){
     if(list[i] < 1){
	err++;
	break;
     }
  }
  return err;
}

int
pt_condition(GLSDV_S pt)
{
  int i, err;
  double *list = (double *) ((RESULT_S *)pt.result)->result;
  int total = ((RESULT_S *)pt.result)->total;

  err = 0;
  for(i = 0; i < total; i++){
     if(list[i] <= 0.0 || list[i] >= 1.0){
	err++;
	break;
     }
  }
  return err;
}
