#ifndef GLSD_CONDITION
#define GLSD_CONDITION
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * 
 */

int null_condition(GLSDV_S nl);
int bot_condition(GLSDV_S p);
int top_condition(GLSDV_S p);
int step_condition(GLSDV_S p);
int toptv_condition(GLSDV_S p);
int bottv_condition(GLSDV_S p);
int mse_condition(GLSDV_S mse);
int npg_condition(GLSDV_S npg);
int read_method_condition(GLSDV_S df);
int read_answer_condition(GLSDV_S df);
int tail_condition(GLSDV_S tt);
int df_condition(GLSDV_S df);
int p_condition(GLSDV_S p);
int tailt_condition(GLSDV_S tt);
int dft_condition(GLSDV_S df);
int pt_condition(GLSDV_S pt);


#define ERROR_TOPTV "Error: Top number must be positive and bigger than bottom\n"
#define ERROR_BOTTV "Error: Bottom number must be positive\n"
#define ERROR_BOT "Error: input must be at least 0 and at most 3"
#define ERROR_TOP "Error: input must be at least 0.1 and at most 4, and bigger than bottom"
#define ERROR_STEP "Error: input must be at least 0 and at most 0.1"
#define ERROR_TYPET "Error: tailed type must be equal to 1, 2 or 3\n"
#define ERROR_DFT "Error: each \"df\" must be at least equal to 1\n"
#define ERROR_PT "Error: each \"P\" must be between 0 and 1\n"
#define ERROR_TYPE "Error: tailed type must be equal to 1 or 2\n"
#define ERROR_DF "Error: \"df\" must be at least equal to 1\n"   
#define ERROR_P "Error: \"P\" must be between 0 and 1\n"
#define ERROR_READ_MTHD "Error: Unknown method\n"
#define ERROR_READ_ANSWER "Error: Incorrect Answer\n"
#define ERROR_MSE "Error: \"mse\" must be bigger or equal than 0\n"
#define ERROR_NPG "Error: \"N\" must be bigger than 0\n"

#endif /* GLSD_CONDITION */
