#ifndef FISHER_INCLUDED
#define FISHER_INCLUDED
/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Math Computations for glsd.
 */

/* driver for critical values of the X distribution */
void fishercv_init(GLSDVARS_S **glsdv);
void fishercv_print(void *result);
void *critical_fisher(GLSDVARS_S *stdv, int precision);
void fishercv_free(void **result);
GLSDMETHOD_S *fishercv_pick(char *argv);

/* driver for values of the X distribution */
void fisher_init(GLSDVARS_S **glsdv);
void fisher_print(void *result);
void *compute_fisher(GLSDVARS_S *stdv, int precision);
void fisher_free(void **result);
GLSDMETHOD_S *fisher_pick(char *argv);

#endif /* FISHER_INCLUDED */
