/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Fancy way to display help.
 */

#include <stdio.h>
#include <string.h>
#include "glsd.h"
#include "help_method.h"
#include "condition.h"


GLSDMETHOD_S help_method_global = {
  "prints this text",		/* name, used in output of results	*/
  "-h",				/* command line switch for this method  */
   2,				/* number of args from command line	*/
   help_method_pick,		/* pick me, pick me!			*/
   NULL,			/* init method - variables to read	*/
   NULL,			/* load data to method			*/
   help_method_exec,		/* process data				*/
   help_method_print,		/* print result				*/
   help_method_free,		/* free free set them free		*/
   NULL,			/* spare function			*/
  (GLSDMETHOD_S *) NULL         /* next method				*/
};

GLSDMETHOD_S quit_global = {
  "quit - ends the program",	/* name, used in output of results	*/
  "q",				/* command line switch for this method  */
   2,				/* number of args from command line	*/
   quit_method_pick,		/* pick me, pick me!			*/
   NULL,			/* init method - variables to read	*/
   NULL,			/* load data to method			*/
   NULL,			/* process data				*/
   NULL,			/* print result				*/
   NULL,			/* free free set them free		*/
   NULL,			/* spare function			*/
  (GLSDMETHOD_S *) NULL         /* next method				*/
};


GLSDMETHOD_S *
quit_method_pick(char *argv)
{
  GLSDMETHOD_S *rv;
  rv = (argv != NULL && !strcmp(argv, quit_global.clswitch)) 
					? &quit_global : NULL;
  return rv;
}


GLSDMETHOD_S *
help_method_pick(char *argv)
{
  GLSDMETHOD_S *rv;
  rv = (argv != NULL && !strcmp(argv, help_method_global.clswitch)) 
					? &help_method_global : NULL;
  return rv;
}


void *
help_method_exec(GLSDVARS_S *stdv, int precision)
{
  GLSDMETHOD_S *method;
  char *helptext = NULL;

  add_string(&helptext, "Options:\n");
  for (method= glsd_methods; method; method = method->next){
	if(method->clswitch && *method->clswitch){
	   add_string(&helptext, "\t");
	   add_string(&helptext, method->clswitch);
	   add_string(&helptext, "\t");
	   add_string(&helptext, method->name);
	   add_string(&helptext, "\n");
	}
  }
  add_string(&helptext, "\n");
  return (void *)helptext;
}


void
help_method_print(void *result)
{
 char *rslt = (char *)result;
 printf(rslt);
}


void
help_method_free(void **result)
{
  fs_give(result);
}
