#ifndef GLSD_MATH_INCLUDED
#define GLSD_MATH_INCLUDED

#include <math.h>
#define GAUSS_N (sqrt(2*M_PI))

extern double coefd[];
double beta_lsd(double x, double y);
double gamma_lsd(double x);
double integral_cosine(double x, int n);
double cumulative_F(double x, int df, int df2);
double cumulative_T(double x, int n);
double cumulative_X(double x, int n);
double cumulative_Z(double x);
double integral_gaussian(double confidence, double x, int degree, double psum);
double solve_fisher(double confidence, int df, int df2, double min, double max, int n);
double solve_chisquare(double confidence, int df, double min, double max, int n);
double solve_normal(double confidence, double min, double max, int n);
double solve_t(double confidence, double min, double max, int n, int precision);


#endif /* GLSD_MAT_INCLUDED */
