/* GLSD
 *
 *  Authors: Eduardo Chappa <echappa@tamiu.edu>
 *	     Roberto Heredia <rheredia@tamiu.edu>
 *
 * Fancy way to read a method.
 */

#include <string.h>
#include "glsd.h"
#include "read_method.h"
#include "condition.h"

static GLSDVARS_S read_methodv []= {
  {RM_VAR, "Enter Method (-h for help): ", "method",
	{NULL, NULL, STRING_TYPE, NULL}, read_method_condition, ERROR_READ_MTHD},
  {LAST_VAR, NULL, NULL,
        {NULL, NULL, 0, NULL}, null_condition, NULL}
};


GLSDMETHOD_S read_method_global = {
  "read method",		/* name, used in output of results	*/
   NULL,			/* command line switch for this method	*/
   1,				/* number of args from command line	*/
   NULL,			/* pick me, pick me!			*/
   read_method_init,		/* init method - variables to read	*/
   copy_args,			/* load data to method			*/
   read_method_exec,		/* process data				*/
   NULL,			/* print result				*/
   read_method_free,		/* free free set them free		*/
   NULL,			/* spare function			*/
  (GLSDMETHOD_S *) NULL         /* next method				*/
};

void
read_method_init(GLSDVARS_S **glsdv)
{
 *glsdv = (GLSDVARS_S *)read_methodv;
}  

void *
read_method_exec(GLSDVARS_S *stdv, int precision)
{
  GLSDMETHOD_S *method;
  char *argv;
  int i;

  NUM_VAR(i,  stdv, RM_VAR);
  argv = stdv[i].varname.result ? cpystr((char *)stdv[i].varname.result) : NULL;
  method = determine_method(argv);
  return (void *)method;
}


void
read_method_free(void **result)
{
  int i;
  for(i = 0; read_methodv[i].type != LAST_VAR; i++)
     if(read_methodv[i].varname.name && *read_methodv[i].varname.name){
        fs_give((void **)&read_methodv[i].varname.name);
	fs_give(&read_methodv[i].varname.result);
     }  
}
